Search Unity

  1. Unity 2019.2 is now released.
    Dismiss Notice

WinPhone 8.1 Certification Failure

Discussion in 'Windows' started by AirBiscuit, Dec 2, 2014.

  1. AirBiscuit

    AirBiscuit

    Joined:
    Aug 16, 2014
    Posts:
    5
    Hey,
    This one has me a bit baffled and I couldn't find any other threads with this specific failure

    I built this as a Windows Store, phone 8.1 XAML C# app with none of the debugging options, built the master version, tested on my phone, then built the packages.
    The certification failed on the "Supported API" test, with a huge list of lines like this one:
    • This API is not supported for this application type - Api=AnchoredJoint2D_CUSTOM_INTERNAL_get_anchor. Module=unityenginedelegates.dll. File=UnityEngineProxy.dll.
    The Api part changes but the Module and File are all the same, The Api's go all the way from AnchoredJoint2D to WindZones

    So what is UnityEngineProxy and do I need it for the app to run?
     
  2. Tautvydas-Zilys

    Tautvydas-Zilys

    Unity Technologies

    Joined:
    Jul 25, 2013
    Posts:
    6,535
    Hi,

    this is a bug in Windows App Certification Kit - it occurred in the older versions of Visual Studio. An update should fix it. These UnityEngineProxy.dll failures will not prevent application submission to the store.

    UnityEngineProxy.dll consists of P/Invoke signatures we use to call into native code. You most certainly need it :).
     
  3. AirBiscuit

    AirBiscuit

    Joined:
    Aug 16, 2014
    Posts:
    5
    That would explain that then, I've been putting off updating the kit for a while now. Thanks!